@echo off

IF NOT EXIST subinacl.exe GOTO ErrMissing
IF NOT EXIST definitions.txt GOTO ErrMissing
IF EXIST permavg.log del permavg.log
IF EXIST permavg.cab del permavg.cab

echo ********************************************************************
echo *                                                                  *
echo *  This is the AVG batch file for repairing files and registry     *
echo *  permissions that are necessary for successful AVG installation. *
echo *                                                                  *
echo *  Wait until all commands are finished (approx. 1-2 minutes).     *
echo *                                                                  *
echo ********************************************************************
echo.
echo.
pause
cls


FOR /F "tokens=1,* delims=, " %%i in (definitions.txt) do (
	SubInAcl /noverbose /%%i %%j /grant=Administrators=f
	SubInAcl /noverbose /%%i %%j /grant=SYSTEM=f
	SubInAcl /noverbose /%%i %%j /grant=Users=r
	SubInAcl /noverbose /nostatistic /%%i %%j /display >> permavg.log
)

%windir%\system32\makecab permavg.log permavg.cab
cls

GOTO End

:ErrMissing
echo Status:     Failed
echo.
echo Some files are missing. Please extract the whole archive from the attachment,
echo then launch RESET_ACCESS.BAT batch file again.
echo.

pause
exit

:End
echo *********************************************************************
echo *                                                                   *
echo * Status:     Success                                               *
echo *                                                                   *
echo *                                                                   *
echo * All commands have been finished successfully.                     *
echo *                                                                   *
echo * Please execute the AVG installation package (avg75f..)            *
echo * and try to install the AVG program.                               *
echo *                                                                   *
echo * If there is still any problem with the AVG installation then send *
echo * us the created permavg.cab file and also fresh AVG installation   *
echo * log file:                                                         *
echo   - %temp%\AVG7INST.LOG
echo *                                                                   *
echo *                                                                   *
echo *  Thank you.                                                       *
echo *                                                                   *
echo *********************************************************************
echo.
echo.

pause
exit